Page MenuHomePhabricator

Add social sharing feature after upload
Open, LowPublic

Description

this is a feature request / enhancement.

After a user succesfully uploads one or more images, add a feature to allow the user to share this event on a Facebook wall, in a Tweet, as an identi.ca dent etc.

The message to post would be something along the lines of "I just released/freed images for the use of all mankind using Wikimedia Commons Upload Wizard and include a link to Special:Contributions/User (or even a gallery if feasible) and to the commons main page or the article on commons on en.wp.

This would be useful for somebody who regularly uploads their own images in commons and wants to share recent uploads with social network friends and would be a form of advertising for commons in general to make more non-Wikimedias consider uploading their images there instead of on Picasa/Flickr/Facebook.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=27027

Details

Reference
bz40456

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:07 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz40456.
bzimport added a subscriber: Unknown Object (MLST).
Dzahn created this task.Sep 23 2012, 6:52 PM

Also requested for *discussion threads* in https://fr.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Questions_techniques&oldid=84495550#Utiliser_les_api_ou_liens_vers_d.27autres.2C_comme_google_plus.21

Might be worth to not hardcode such functionality for media (Upload Wizard) but make it reusable for wikipages too.

Qgil renamed this task from enhancement - add social sharing feature after upload to Add social sharing feature after upload.Jan 12 2015, 9:27 AM
Qgil set Security to None.
Qgil removed a subscriber: Unknown Object (MLST).

Might be worth to not hardcode such functionality for media (Upload Wizard) but make it reusable for wikipages too.

The difference being that UploadWizard already provides share/use fields upon upload completion. There could be another text snippet to be pasted elsewhere, I guess.

Ricordisamoa added a subscriber: Ricordisamoa.
Dzahn removed a subscriber: Dzahn.Jun 16 2015, 5:07 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 16 2015, 5:07 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:14 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptSep 4 2015, 6:14 PM
MacFan4000 closed this task as Resolved.Oct 23 2017, 7:54 PM
MacFan4000 claimed this task.
Quiddity reopened this task as Open.Oct 23 2017, 8:12 PM
Quiddity removed MacFan4000 as the assignee of this task.
Quiddity added a subscriber: MacFan4000.